package edu.mit.ll.group43.surfaceoptimization.dp.factory.sequencerecovery;

import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.network.dp.CPSNetworkNode;
import edu.mit.ll.group43.surfaceoptimization.network.dp.SmartCPSNetworkNode;

public class NodeContainedSequenceRecoveryStrategy implements
		SequenceRecoveryStrategy {

	@Override
	public ArrayList<Aircraft> recoverSequence(CPSNetworkNode optEnd) {
		return ((SmartCPSNetworkNode) optEnd).getReleaseSequence();
	}
	
	@Override
	public void processPrevNodes(CPSNetworkNode node) {
		node.setPrevNodes(null);
		node.setOptPrevNode(null);
	}
}
