package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.util.Comparator;

/**
 * Comparator for Aircraft based on their file indexes.
 * 
 * @author William Hawkins
 *
 */
public class AircraftFileIndexComparator implements Comparator<Aircraft> {

	@Override
	public int compare(Aircraft a, Aircraft b) {
		return a.getFileIndex() - b.getFileIndex();
	}
}
