package edu.mit.ll.group43.surfaceoptimization.input;

/**
 * Enumeration of the supported formats for files that define the
 * FCFS sequence to be optimized.
 * 
 * Current supported types include:
 * - Plain text
 * 
 * This could be expanded in the future with other types, such as:
 * - JSON (JavaScript Object Notation), especially if this were to
 * be deployed on the web
 * - XML
 * - Microsoft Excel file
 * - Any other common format the data may appear in
 * 
 * @author William Hawkins
 *
 */
public enum FCFSReaderType {
	TEXT
}
