package edu.mit.ll.group43.surfaceoptimization.input;

/**
 * Classes that implement this interface are responsible for
 * reading in separation times from a file.
 * 
 * @author Billy
 *
 */
public interface MinSeparationReader {

	/**
	 * Returns the next line of separation times from the file.
	 * Null is returned if the end of the file is reached.
	 * 
	 * @return
	 */
	int[] nextLine();
}
