package edu.mit.ll.group43.surfaceoptimization.validator;

import java.util.ArrayList;
import java.util.Set;
import java.util.TreeSet;

import edu.mit.ll.group43.surfaceoptimization.Driver;
import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

public class NoRepeatedAircraftValidator implements Validator {

	@Override
	public boolean validate(ArrayList<Aircraft> seq) {
		Set<Aircraft> aircraft = new TreeSet<Aircraft>();
		for (Aircraft ac : seq) {
			if (!aircraft.add(ac)) {
				Driver.err.println("Repeated aircraft: " + ac);
				return false;
			}
		}
		return true;
	}

}
