package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.util.TreeSet;

import junit.framework.TestCase;

import org.junit.Test;

public class TestAircraftFileIndexComparator extends TestCase {

	@Test
	public void testCompare() {
		TreeSet<Aircraft> fcfs = new TreeSet<Aircraft>(new AircraftFileIndexComparator());
		fcfs.add(new Aircraft(DefaultWeightClass.SMALL, 1, 100, 100));
		fcfs.add(new Aircraft(DefaultWeightClass.SMALL, 5, 100, 100));
		fcfs.add(new Aircraft(DefaultWeightClass.SMALL, 3, 100, 100));
		fcfs.add(new Aircraft(DefaultWeightClass.SMALL, 2, 100, 100));
		fcfs.add(new Aircraft(DefaultWeightClass.SMALL, 4, 100, 100));
		
		Object[] ac = fcfs.toArray();
		assertEquals(((Aircraft)ac[0]).getFileIndex(), 1);
		assertEquals(((Aircraft)ac[1]).getFileIndex(), 2);
		assertEquals(((Aircraft)ac[2]).getFileIndex(), 3);
		assertEquals(((Aircraft)ac[3]).getFileIndex(), 4);
		assertEquals(((Aircraft)ac[4]).getFileIndex(), 5);
	}
}
